NotificationException (Mule ESB 2.2.1 API)
Keywords: org.mule.context.notification.NotificationException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class NotificationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.context.notification.NotificationException

All Implemented Interfaces:
  Serializable

    public class NotificationException

extends MuleException

Thrown by the ServerNotification Manager if unrecognised listeners or events are passed to the manager

See Also:
  Serialized Form

Constructor Summary
`NotificationException(Message message)`
`NotificationException(Message message, Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationException

    public NotificationException(Message message)

Parameters:
  `message` - the exception message

### NotificationException

    public NotificationException(Message message,
                                 Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.